Skip to main content
GET
/
matches
/
{matchId}
/
scores
Get all map scores
curl --request GET \
  --url https://teambattles.gg/api/v1/matches/{matchId}/scores \
  --header 'Authorization: Bearer <token>'
{
  "scores": [
    {
      "mapIndex": 0,
      "mapId": "<string>",
      "creatorTeamScore": 0,
      "opponentTeamScore": 0,
      "screenshotUrls": [
        "<string>"
      ],
      "scoreStatus": "<string>",
      "submittedBy": {
        "userId": "<string>",
        "teamId": "<string>",
        "name": "<string>"
      },
      "confirmedBy": {
        "userId": "<string>",
        "teamId": "<string>",
        "confirmedAt": "<string>"
      },
      "createdAt": "<string>"
    }
  ],
  "seriesScore": {
    "creatorMapWins": 0,
    "opponentMapWins": 0
  },
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

matchId
string
required

Match id.

Response

All map scores for the match with a series summary.

All map scores for a match with a series summary.

scores
object[]
required
seriesScore
object
required
timestamp
string
required

Response timestamp (ISO 8601).